/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* NEXTSTEP PPC Control Center.                                            */
/* LogController class interface.                                          */
/* One instance of this class is associated with each project. It controls */
/* the contents of the log scroll text.                                    */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 09.10.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: LogController.h                                               */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#import <appkit/appkit.h>

@interface LogController:Object
{
  id docView;
  id scrollView;
  id machineFont;
  id userFont;
  id delegate;
  int lastTextCount;
}

/*-------------------------------------------------------------------------*/
/* initWithScroll:                                                         */
/* Instance initialization.                                                */
/*-------------------------------------------------------------------------*/
- initWithScroll: scrollViewP;

/*-------------------------------------------------------------------------*/
/* appendString:                                                           */
/* Append the given string to the log.                                     */
/*-------------------------------------------------------------------------*/
- appendString: (char *)string
  user: (BOOL)isUser;

/*-------------------------------------------------------------------------*/
/* appendString:                                                           */
/* Append the given string to the log.                                     */
/*-------------------------------------------------------------------------*/
- appendString: (char *)string;

/*-------------------------------------------------------------------------*/
/* setDelegate:                                                            */
/* Set the object's delegate.                                              */
/*-------------------------------------------------------------------------*/
- setDelegate: sender;

/*-------------------------------------------------------------------------*/
/* clearBuffer:                                                            */
/* Sent when the clear buffer menu option is selected.                     */
/*-------------------------------------------------------------------------*/
- clearBuffer: sender;

@end
