/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* NEXTSTEP PPC Control Center.                                            */
/* ProcCoordinator class interface.                                        */
/* A ProcCoordinator object is instanciated for each opened project. It is */
/* responsible for the execution of PPC commands in the mini terminal      */
/* associated with each project.                                           */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 05.01.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: ProcCoordinator.h                                             */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#import <appkit/appkit.h>

@interface ProcCoordinator:Object
{
  id centerController;
  id subprocess;
  id logController;
  id subprocessStringTable;
  id theProjectController;
  id statusTextField;
  id stopMenuOption;
  id scrollView;
}

/*-------------------------------------------------------------------------*/
/* init:                                                                   */
/* Instance initialization.                                                */
/*-------------------------------------------------------------------------*/
- init: theCenterController
  scrollView: scrollViewP
  procStringTable: subprocessStringTableP
  projectController: projectControllerP
  status: statusTextFieldP;

/*-------------------------------------------------------------------------*/
/* actionsMenuSelected:                                                    */
/* Message sent by the menu when one of the Actions options is selected.   */
/*-------------------------------------------------------------------------*/
- actionsMenuSelected: sender;

/*-------------------------------------------------------------------------*/
/* clearBuffer:                                                            */
/* Sent when the clear buffer menu option is selected.                     */
/*-------------------------------------------------------------------------*/
- clearBuffer: sender;

/*-------------------------------------------------------------------------*/
/* subprocessOutput:                                   Subprocess Delegate */
/* Sent to the delegate when there is output data available from the       */
/* subprocess.                                                             */
/*-------------------------------------------------------------------------*/
- subprocessOutput: (char *)buffer;

/*-------------------------------------------------------------------------*/
/* subprocessError:                                    Subprocess Delegate */
/* Sent to the delegate when a fatal error occus during the management of  */
/* the subprocess.                                                         */
/*-------------------------------------------------------------------------*/
- subprocessError: (char *)errorString;

/*-------------------------------------------------------------------------*/
/* subprocessError:                                    Subprocess Delegate */
/* Sent to the delegate when the subprocess is terminated.                 */
/*-------------------------------------------------------------------------*/
- subprocessDone;

/*-------------------------------------------------------------------------*/
/* userEntered:                                     CommandScroll Delegate */
/*-------------------------------------------------------------------------*/
- userEntered: (char *)buffer;

@end
