/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* NEXTSTEP PPC Control Center.                                            */
/* Application strings definition.                                         */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 27.07.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: strings.h                                                     */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef STRINGS_SERV
extern char **strings;
#endif

typedef enum
{
  STR_CC_CONFIG_ERROR,
  STR_CC_HOME_DEFINED_ERROR,
  STR_CC_BINARIES_WRONG_ERROR,
  STR_CC_LIMITED_MODE,
  STR_CC_WS_LIMITED_ERROR,
  STR_END
} strings_enum;

/*-------------------------------------------------------------------------*/
/* init_strings:                                                           */
/* This function must be called at least once before accessing the string  */
/* array.                                                                  */
/* It initializes the string array, and returns -1 if an error occurs, 0   */
/* otherwise.                                                              */
/*-------------------------------------------------------------------------*/
int init_strings (char *app_directory);

/*-------------------------------------------------------------------------*/
/* end_strings:                                                            */
/* This function must be called before the application termination.        */
/*-------------------------------------------------------------------------*/
void end_strings (void);
