# ------------------------------------------------------------------------- #
#  Mathematics on Parallel and Distributed Systems                          #
#  School of Engineering of Biel, Switzerland.                              #
#  Computer Science Dpt.                                                    #
#  Swiss National Science Foundation project 5003-034331.                   #
#  Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.     #
# ------------------------------------------------------------------------- #
#  Description:                                                             #
#  PPC: Portable Parallel C                                                 #
#  Configurer make file.                                                    #
#  This make file, called automatically by PPC when creating the            #
#  configuration informations for the parallel program, creates the         #
#  configurer.                                                              #
#  This makefile is not used to configure PACTC program. In this case, the  #
#  PPC tool uses the file config.pactc.mak.                                 #
# ------------------------------------------------------------------------- #
#  History:                                                                 #
#  Date        By          Description                                      #
#  ----------  ----------- -----------------------------------------------  #
#  19.11.1993  Droux       Created                                          #
#  08.07.1994  Droux       Added conf_$(ARCH) for hardware configuration    #
#  03.08.1994  Droux       Virtual configuration files extension is vmc     #
#  17.08.1994  Droux       Support for custom hardware configuration file   #
#  28.08.1994  Droux       Added "." prefix to architecture directory       #
#  29.08.1994  Droux       clean target suppressed                          #
#  29.08.1994  Droux       Server installation from this makefile           #
#  29.08.1994  Droux       Selective architecture directory deletion added  #
# ------------------------------------------------------------------------- #
#  filename: config.mak                                                     #
#  Tested on :                                                              #
#    NEXTSTEP 2.1, NeXT Computers                                           #
#    NEXTSTEP 3.1, NeXT Computers                                           #
#    NEXTSTEP 3.1, Intel Computers                                          #
#    NEXTSTEP 3.2, NeXT Computers                                           #
#    NEXTSTEP 3.2, Intel Computers                                          #
#    SunOS Release 4.1.3, SPARC                                             #
#    SunOS Release 5.3 (Solaris 2), SPARC                                   #
#    Linux 0.99.pl9, Intel Computers                                        #
# ------------------------------------------------------------------------- #
#  Copyright (c) 1994 School of Engineering of Biel-Bienne, Switzerland.    #
#                                                                           #
#  This program is free software; you can redistribute it and/or modify it  #
#  under the terms of the GNU General Public License as published by the    #
#  Free Software Foundation; either version 2 of the License, or (at your   #
#  option) any later version.                                               #
#                                                                           #
#  This program is distributed in the hope that it will be useful, but      #
#  WITHOUT ANY WARRANTY; without even the implied warranty of               #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     #
#  See the GNU General Public License for more details.                     #
# ------------------------------------------------------------------------- #

CFLAGS=-I$(PPC_HOME)/include -D$(HOST_ARCH) -Wall
LFLAGS=-lconf -lconf$(ARCHLIB) -lcsp$(ARCHLIB) \
  -L$(PPC_HOME)/lib/$(HOST_ARCH) $(OTHERLIB)
OBJ=.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).o .$(ARCH)/$(HOST_ARCH)/$(ARCH_FILE).o

.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).con: $(OBJ) \
  $(PPC_HOME)/lib/$(HOST_ARCH)/libconf.a \
  $(PPC_HOME)/lib/$(HOST_ARCH)/libconf$(ARCHLIB).a
	$(CC) $(OBJ) -o $@ $(LFLAGS)

.$(ARCH)/$(HOST_ARCH)/$(ARCH_FILE).o: $(ARCH_FILE).c
	$(CC) $(CFLAGS) -Dconf_$(ARCH) -c $? -o $@

.$(ARCH)/$(APP_NAME).c: $(APP_NAME).vmc
	@ cp $? $@

.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).o: .$(ARCH)/$(APP_NAME).c
	$(CC) $(CFLAGS) -c $? -I. -o $@

install:
	@ cp .$(ARCH)/$(HOST_ARCH)/$(APP_NAME).run $(INSTALLDIR)

delete:
	@ rm -rf $(DIR_TO_DELETE)

