/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Nfact: calculates the number of factors of numbers and returns the one  */
/* which have the more factors.                                            */
/* NEXTSTEP client Controller class interface.                             */
/* One object of this class is instanciated at startup. It controls the    */
/* interface objects.                                                      */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 15.07.1993  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: Controller.h                                                  */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#import <appkit/appkit.h>

@interface Controller:Object
{
  id loginWindow;                                     /* interfaces object */
  id lowerLimitCell;
  id upperLimitCell;
  id controlWindow;
  id quitMenuItem;
  id startButton;
  id statusTextField;
  id server;                                                 /* PPC server */
  int lowerLimit;                                     /* lower range limit */
  int upperLimit;                                     /* upper range limit */
  int winner;                 /* winner, the number with the most divisors */
  int count;                                 /* and its number of divisors */
}

/*-------------------------------------------------------------------------*/
/* getRange:                                                               */
/* Initialize the instance variables lowerLimit and upperLimit with from   */
/* the values stored in the lowerLimitCell and upperLimitCell.             */
/* Returned YES if the values are correct, NO otherwise.                   */
/*-------------------------------------------------------------------------*/
- (BOOL) getRange;

/*-------------------------------------------------------------------------*/
/* calculate:                                                              */
/* Message sent when the user clicks on the START button. Start a          */
/* calculation.                                                            */
/*-------------------------------------------------------------------------*/
- calculate: sender;

/*-------------------------------------------------------------------------*/
/* channelHandler:                                                         */
/* Installed at startup as the channel handler for the active CS session.  */
/* This method is called by NXPPCKit when a message is comming from        */
/* the server.                                                             */
/*-------------------------------------------------------------------------*/
- channelHandler: theServer;

@end

@interface Controller(ApplicationDelegate)

/*-------------------------------------------------------------------------*/
/* appDidInit:                                                             */
/* Called just after application initialization.                           */
/*-------------------------------------------------------------------------*/
- appDidInit: sender;

/*-------------------------------------------------------------------------*/
/* appWillTerminate:                                                       */
/* Called just before the application terminates.                          */
/*-------------------------------------------------------------------------*/
- appWillTerminate: sender;

@end

