/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Calculation routine.                                                    */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 27.11.1993  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: calc.c                                                        */
/* Tested on :                                                             */
/*   PPC 0.9.0                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------*/
/* nfact:                                                                  */
/* returns the number of factors of the given number x.                    */
/*-------------------------------------------------------------------------*/
int nfact (
  int x                    /* returns the number of factors of this number */
)
{
  int count, fact, compl;
  
  count = 0;
  fact = 1;
  compl = x/fact;
  
  while (fact < compl)
  {
    if (x == (fact * compl))
      count += 2;
    fact++;
    compl = x/fact;
  }
  if (x == fact*fact)
    count++;
  return count;
}
