/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Master task.                                                            */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 21.11.1993  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: master.c                                                      */
/* Tested on :                                                             */
/*   PPC 0.9.0                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <stdio.h>
#include <ppc/csp.h>

#define NB_THREADS  10
#define MAX_STR_LEN 100

/*-------------------------------------------------------------------------*/
/* f:                                                                      */
/* Test function.                                                          */
/*-------------------------------------------------------------------------*/
void f (channel to_g, channel from_g)
{
  char str [MAX_STR_LEN];
  int x;

  strcpy(str, "hi there !");

  send_channel(to_g, 
    INT, 5, 
    STRING, MAX_STR_LEN, str, 
    END);
  
  receive_channel(from_g, 
    INT, &x, 
    STRING, MAX_STR_LEN, str, 
    END);
  
  printf("\"%s\" %d\n", str, x);
}

/*-------------------------------------------------------------------------*/
/* g:                                                                      */
/* Test function.                                                          */
/*-------------------------------------------------------------------------*/
void g (channel from_f, channel to_f)
{
  char str [MAX_STR_LEN];
  int n;
  char diff = 'a' - 'A';
  int x;
  
  receive_channel(from_f, 
    INT, &x, 
    STRING, MAX_STR_LEN, str, 
    END);
  
  for (n = 0; n < strlen(str); n++)
    if (str[n] > 'a' && str[n] < 'z')
      str[n] -= diff;
  
  send_channel(to_f, 
    INT, 2 * x,
    STRING, MAX_STR_LEN, str, 
    END);
}

/*-------------------------------------------------------------------------*/
/* ppc_main:                                                               */
/* Master task entry point.                                                */
/*-------------------------------------------------------------------------*/
void ppc_main (
  channel from_host,
  channel to_host
)
{
  int n;
  channel f_to_g = new_channel();
  channel g_to_f = new_channel();

  par_begin();
    par(f(f_to_g, g_to_f));
    par(g(f_to_g, g_to_f));
  par_end();
}
