/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Nfact: calculates the number of factors of numbers and returns the one  */
/* which have the more factors.                                            */
/* PACT-C hardware configuration.                                          */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 25.01.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: pactc.10.c                                                    */
/* Tested on:                                                              */
/*   PPC 0.9.0                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <ppc/config.h>
#include "test.h"

#define NB_SLAVE_TRANS 9                         

void hardware_config (processor master_p, processor slave_p [])
{
  transputer master_tr;
  transputer slave_tr [NB_SLAVE_TRANS];
  int c;
  
  master_tr = new_transputer(T805, 16*M);           
  for (c = 0; c < NB_SLAVE_TRANS; c++)
    slave_tr[c] = new_transputer(T805, 16*M);
                     
  link_transputers(master_tr,   0, HOST, HOST_LINK);
  link_transputers(master_tr,   2, slave_tr[0], 0);
  link_transputers(master_tr,   1, slave_tr[3], 2);
  link_transputers(master_tr,   3, slave_tr[8], 2);
  link_transputers(slave_tr[0], 2, slave_tr[1], 0);
  link_transputers(slave_tr[0], 1, slave_tr[6], 3);
  link_transputers(slave_tr[0], 3, slave_tr[5], 1);
  link_transputers(slave_tr[1], 2, slave_tr[2], 0);
  link_transputers(slave_tr[1], 1, slave_tr[7], 3);
  link_transputers(slave_tr[1], 3, slave_tr[4], 1);
  link_transputers(slave_tr[2], 3, slave_tr[3], 1);
  link_transputers(slave_tr[2], 1, slave_tr[8], 3);
  link_transputers(slave_tr[2], 2, slave_tr[6], 0);
  link_transputers(slave_tr[3], 0, slave_tr[4], 2);
  link_transputers(slave_tr[3], 3, slave_tr[8], 1);
  link_transputers(slave_tr[4], 0, slave_tr[5], 2);
  link_transputers(slave_tr[4], 3, slave_tr[7], 1);
  link_transputers(slave_tr[5], 3, slave_tr[6], 1);
  link_transputers(slave_tr[6], 2, slave_tr[7], 0);
  link_transputers(slave_tr[7], 2, slave_tr[8], 0);

  place_processor_on_transputer(master_p, master_tr);
  for (c = 0; c < NB_SLAVES; c++)
    place_processor_on_transputer(slave_p[c], slave_tr[c]);
}

