/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Client-Server Library.                                                  */
/* Definition of the functions allowing the asynchronous processing        */
/* of messages by clients.                                                 */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 22.06.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: cliasync.h                                                    */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*   SunOS Release 4.1.3, SPARC                                            */
/*   SunOS Release 5.3 (Solaris 2), SPARC                                  */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef cliasync_h
#define cliasync_h

#define MAX_CHAN_HANDLERS 10                 /* maximum number of handlers */

/*-------------------------------------------------------------------------*/
/* install_channel_handler:                                                */
/* Install the given function as the handler for the given session.        */
/* When the server program corresponding to the specified session id send  */
/* a message to the client, the function handler() will be automatically   */
/* called. When called, the function will receive two values: the session  */
/* id of the host which just send a message, and the channel from which    */
/* the data can be read.                                                   */
/*-------------------------------------------------------------------------*/
int install_channel_handler (
  int session_id,
  void (*handler)(int, channel)
);

/*-------------------------------------------------------------------------*/
/* remove_channel_handler:                                                 */
/* Removes the channel handler installed for the given session.            */
/*-------------------------------------------------------------------------*/
void remove_channel_handler (
  int session_id
);

#endif
