/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Misc definitions needed to describe the hardware of the target parallel */
/* machine.                                                                */
/* The object declared here are defined in the architecture hardware       */
/* configuration modules.                                                  */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 18.11.1993  Droux       Created                                         */
/* 01.07.1994  Droux       Added print_hw_report()                         */
/*-------------------------------------------------------------------------*/
/* filename: confhard.h                                                    */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*   SunOS Release 4.1.3, SPARC                                            */
/*   SunOS Release 5.3 (Solaris 2), SPARC                                  */
/*   Linux 0.99.pl9, Intel                                                 */
/*   Linux 1.0.8, Intel                                                    */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef confhard_h
#define confhard_h

/*-------------------------------------------------------------------------*/
/* generate_files:                                                         */
/* Generate the makefile for the PPC program in order to compile it        */
/* for the target machine. One version of this function must be            */
/* implemented for each target hardware.                                   */
/*-------------------------------------------------------------------------*/
void generate_files (char *name);

/*-------------------------------------------------------------------------*/
/* print_hw_report:                                                        */
/* Print a hardware configuration report. Each hardware configuration      */
/* must implement a such function. It is called by the configuration main  */
/* function (confmain.c).                                                  */
/*-------------------------------------------------------------------------*/
void print_hw_report (void);

#endif
