/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* IO functions.                                                           */
/* The two functions used in this module must be used instead of read()    */
/* and write() when it must be guaranteed that the given number of bytes   */
/* to be respecively read or written are effectively transfered.           */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 16.02.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: ion.h                                                         */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef ion_h
#define ion_h

/*-------------------------------------------------------------------------*/
/* readn:                                                                  */
/* Reads exactely n bytes from the specified socket desciptor.             */
/* Returns the number of byes read.                                        */
/*-------------------------------------------------------------------------*/
int readn (int fd, char *buffer, int size);

/*-------------------------------------------------------------------------*/
/* writen:                                                                 */
/* Writes exactely n bytes on the specified socket desciptor.              */
/* Returns the number of byes written.                                     */
/*-------------------------------------------------------------------------*/
int writen (int fd, char *buffer, int size);

#endif
