/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* CS-Lib transputer interface.                                            */
/* This module is linked with pserver when this program is used to         */
/* interface a client application and a transputer program.                */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 24.08.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: cslib.h                                                       */
/* Tested on :                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef CS_LIB_PSERVER
#define CS_LIB_PSERVER

/*-------------------------------------------------------------------------*/
/* init_for_cs_lib:                                                        */
/* Initialize pserver to act as an interface between a UNIX application    */
/* running on a remote host and a PACT-C program running on a transputer   */
/* network.                                                                */
/* The following operations are performed:                                 */
/*   - start a redirection program                                         */
/*   - redirect stdout and stderr to the redirection program               */
/*-------------------------------------------------------------------------*/
void init_for_cs_lib (void);

#endif
