/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Client-Server Library.                                                  */
/* Definitions common to the PACT-C server running on the transputer       */
/* network and the extended pserver communicating with the client.         */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 30.08.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: pactcserv.h                                                   */
/* Tested on :                                                             */
/*   PACT-C v93.1, T800, T805                                              */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

/* These two constant are used as file descriptor to read() and write()    */
/* when the server wants to communicate with the client. The extended      */
/* pserver, when it receives a read or write request, test if the          */
/* specified descriptor correspond to one of these constant. If it is      */
/* the case, then it reads or writes the data from or to the transputer    */
/* program and communicate with the client accordingly to the type of      */
/* operation requested.                                                    */

#define CLIENT_TO_SERVER_FD 1000
#define SERVER_TO_CLIENT_FD (CLIENT_TO_SERVER_FD+1)
