/*
 *
 *  @(#)pserver.h   1.7 92/12/20    (c) PACT
 *
 *  PSERVER - PACT host server
 *
 *  Copyright (c) 1991, 1992 PACT
 *  All Rights Reserved
 *
 *  Project header file included by all modules.
 *
 */

#ifndef _pserver_included
#define _pserver_included


/* This tool is the server.                                             */
#define PSERVER


/* Configuration information.                                           */
#include    "pconf.h"


/* Get a real 32-bitter.  If unavailable, we've got real problems...    */
#if     INTSZ==32
    typedef int             word_t;     /* 32-bit integers */
    typedef unsigned int    uword_t;
#elif   LONGSZ==32
    typedef long            word_t;     /* 16-bit integers */
    typedef unsigned long   uword_t;
#else
    need 32-bit integer type!!
#endif


/* A transputer integer is a 32 bit word.                               */
typedef word_t  tint_t;
typedef uword_t utint_t;


/* Boolean type + values.                                               */
typedef int     bool_t;
#undef  FALSE
#define FALSE   0
#undef  TRUE
#define TRUE    1


/* Byte type.                                                           */
typedef unsigned char   byte_t;


/* Debug support.                                                       */
#ifndef DEBUG
#define NDEBUG
#endif
#include    <assert.h>


/* Some standard headers.                                               */
#include    <stdio.h>
#include    <ctype.h>
#include    <string.h>
#if __STDC__
#    include <stddef.h>
#   include <stdlib.h>
#else
#   include <sys/types.h>
#endif


/* Host specific exit values for success and failure, resp.             */
#ifndef EXIT_SUCCESS
#   define  EXIT_SUCCESS    0
#endif
#ifndef EXIT_FAILURE
#   define  EXIT_FAILURE    1
#endif


#endif  /* _pserver_included */
