/*
 *
 *  @(#)error.c 1.6 92/12/20    (c) PACT
 *
 *  PSERVER - PACT host server
 *
 *  Copyright (c) 1991, 1992 PACT
 *  All Rights Reserved
 *
 *  Error manager.
 *
 */

#include    "pserver.h"                 /* global defs */
#include    "linkio.h"                  /* linkio interface defs and error codes */
#include    "error.h"                   /* own typedefs and decls */


/*
 *
 *      void error (const char *str, ...)
 *
 *  Print diagnostic.
 *
 */

#if __STDC__
void    error (const char *str, ...)
#else
void    error (str, a1, a2, a3)
char    *str;
char    *a1, *a2, *a3;
#endif
{
#if __STDC__
#   include <stdarg.h>
    va_list va;
    va_start (va, str);
#endif
    fprintf (stderr, "pserver: ");
#if __STDC__
    vfprintf (stderr, str, va);
    va_end (va);
#else
    fprintf (stderr, str, a1, a2, a3);
#endif
    fprintf (stderr, "\n");
}


#ifndef PARSYTEC        /* lerror() provided? */
/*
 *
 *      char *lerror (link_t linkid)
 *
 *  Returns error message for link communication error.
 *
 */

#if __STDC__
char    *lerror (link_t linkid)
#else
char    *lerror (linkid)
link_t  linkid;
#endif
{
     static  char    *lerrors[] = {
        "OK",
        "link not open",
        "link communication failure",
        "link software failure",
        "link no data",
        "link problem",
    };

    /* Positive link id is OK.  Negative is error.                      */
    if (linkid > 0)
        linkid = 0;
    if (linkid < -5)
        linkid = -5;

    /* Return error string.                                             */
    return lerrors[-linkid];
}
#endif

