/*
 *
 *  @(#)server.h    1.10    92/12/20    (c) PACT
 *
 *  PSERVER - PACT host server
 *
 *  Copyright (c) 1991, 1992 PACT
 *  All Rights Reserved
 *
 *  Server main loop header file.
 *
 */

#ifndef _server_included
#define _server_included


#include    "hxproto.h"                 /* host server protocol */
#include    "linkio.h"                  /* linkIO protocol */


#define PSERVER_EXTENSION       1
#if PSERVER_EXTENSION
extern  bool_t  pserverext;
#endif

extern  byte_t  sbuffer[MAXPACKSZ];


#ifndef INACTIVE_MAX
#   define  INACTIVE_MAX    1
#endif

#if INACTIVE_MAX
    extern  int     inactivesecs;
#endif


#ifndef SMART_WAIT
#   if  OSID!=OS_DOS
#       define  SMART_WAIT  1
#   else
#       define  SMART_WAIT  0
#   endif
#endif

#if SMART_WAIT
    extern  int     smartwaitsecs;
#endif


#if PSERVER_EXTENSION
struct ttimes {
    long    real;
    long    user;
    long    sys;
};
extern  struct ttimes   ttimes;
#endif


typedef union {
    int             b;                  /* BYTE (== unsigned char) */
    int             h;                  /* INT16 */
    tint_t          w;                  /* INT32 */
    unsigned char   *v;                 /* INT16::[]BYTE */
} sarg_t;

#if __STDC__
#define SERVER_FN(f,a,r)    int     f (int nofargs, sarg_t args[],      \
                                       int nofrets, sarg_t rets[])      \
                            {                                           \
                                assert (nofargs == (a));                \
                                assert (nofrets == (r));
#define SERVER_DECL(f)  int     f (int nofargs, sarg_t args[],          \
                                   int nofrets, sarg_t rets[])
#else
#define SERVER_FN(f,a,r)    int     f (nofargs, args, nofrets, rets)    \
                            int     nofargs, nofrets;                   \
                            sarg_t  args[], rets[];                     \
                            {                                           \
                                assert (nofargs == (a));                \
                                assert (nofrets == (r));
#define SERVER_DECL(f)  int     f ()
#endif

#define BARG(x)     (args[(x)].b)
#define HARG(x)     (args[(x)].h)
#define WARG(x)     (args[(x)].w)
#define VARG(x)     (args[(x)].v)

#define BRET(x)     (rets[(x)].b)
#define HRET(x)     (rets[(x)].h)
#define WRET(x)     (rets[(x)].w)
#define VRET(x)     (rets[(x)].v)


#if __STDC__
extern  tint_t  server (link_t linkid, bool_t termerr, bool_t verbose, bool_t debug);
extern  void    setargs (int argc, char *argv[], int argp);
extern  void    setcore (char *data, utint_t size);
#else
extern  tint_t  server ();
extern  void    setargs ();
extern  void    setcore ();
#endif

SERVER_DECL (server_exit);
SERVER_DECL (server_command);
SERVER_DECL (server_core);
SERVER_DECL (server_id);
#if PSERVER_EXTENSION
SERVER_DECL (server_argc);
SERVER_DECL (server_argvx);
SERVER_DECL (server_abort);
SERVER_DECL (server_times);
#endif


#endif
