/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Client-Server Library.                                                  */
/* When the server program to be starter is a PVM program, we have to      */
/* check if PVM is running on the server host before executing it. To      */
/* implement this feature, starter executes this little program which      */
/* returns "1" if PVM is running, and "0" otherwise.                       */
/* It is assumed that a PVM deamon is running on the host if a file named  */
/* pvmd.* exists in the directory /tmp.                                    */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 01.07.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: pvm_running.c                                                 */
/* Tested on :                                                             */
/*   Linux 1.0.8, Intel                                                    */
/*-------------------------------------------------------------------------*/

#include <stdio.h>
#include <sys/types.h>
#include <sys/dir.h>

#define dir_name "/tmp"
#define PVMD_FILE "pvmd"

void main (void)
{
  DIR *dir;
  struct direct *dir_ent;
  char ext [10];
  char *point_ptr;
  int idx;
  
  if ((dir = opendir(dir_name)) == NULL)
  {  
    printf("0\n");
    exit(0);
  }  

  for (dir_ent = readdir(dir); 
       (dir_ent != NULL); 
       dir_ent = readdir(dir))
  {
    point_ptr = dir_ent->d_name + strlen(dir_ent->d_name) - 1;
    idx = strlen(dir_ent->d_name);
    while(*point_ptr != '.' && idx--)
      point_ptr--;
    *point_ptr = '\0';
    if (!strcmp(dir_ent->d_name, PVMD_FILE))
    {
      printf("1\n");
      exit(0);
    }
  }

  printf("0\n");
  exit(0);  
}

