/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Client-Server Library.                                                  */
/* The functions declared here are implemented by the module chanpact.c.   */
/* They are not accessed by the user directly but during the creation of   */
/* the channels used to communicate with a client application.             */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 30.08.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: chanpactc.h                                                   */
/* Tested on :                                                             */
/*   PACT-C v93.1, T800, T805                                              */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------*/
/* new_cslib_channel:                                                      */
/* Create two new CS-Lib channels.                                         */
/*-------------------------------------------------------------------------*/
void new_cslib_channel (
  channel *to_client,
  channel *from_client
);
