/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Client-Server Library.                                                  */
/* The functions implemented by this module are used by a PACT-C server    */
/* program to initialize a client-server connection with a remote client   */
/* through the extended pserver.                                           */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 30.08.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: pactcconn.c                                                   */
/* Tested on :                                                             */
/*   PACT-C v93.1, T800, T805                                              */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <ppc/cslib.h>

/*-------------------------------------------------------------------------*/
/* connect_to_client:                                                      */
/* This function must be the first function called when a PPC program is   */
/* used as a CS-Lib server. It returns two channels that must be used      */
/* to send and receive messages to and from the client.                    */
/* Returns -1 if the connection failed, 0 otherwise.                       */
/*-------------------------------------------------------------------------*/
int connect_to_client (
  channel *to_client,
  channel *from_client
)
{
  new_cslib_channel(to_client, from_client);
  return 0;
}

/*-------------------------------------------------------------------------*/
/* disconnect_from_client:                                                 */
/* Must be called before terminating the program when the PPC program is   */
/* used as a server application.                                           */
/*-------------------------------------------------------------------------*/
void disconnect_from_client (void)
{
}
