/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* PPC types. The constants defined in this file are used by the           */
/* configurer and for the CSP channels communication.                      */
/* They are used to identify the type of a parameter when calling a        */
/* C function that has a variable number of parameters.                    */ 
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 12.01.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: types.c                                                       */
/* Tested on :                                                             */
/*   NEXTSTEP 2.1, NeXT Computers                                          */
/*   NEXTSTEP 3.1, NeXT Computers                                          */
/*   NEXTSTEP 3.1, Intel Computers                                         */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*   SunOS Release 4.1.3, SPARC                                            */
/*   SunOS Release 5.3 (Solaris 2), SPARC                                  */
/*   Linux 0.99.pl9, Intel Computers                                       */
/*   PACT-C v92.1, T805                                                    */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <ppc/csp/chan.h>

/*-------------------------------------------------------------------------*/
/* The definitions below correspond to the sizes of the types defined      */
/* in types.h.                                                             */
/*-------------------------------------------------------------------------*/
int type_size [] =
{
  sizeof(int),
  sizeof(short),
  sizeof(unsigned short),
  sizeof(long),
  sizeof(unsigned long),
  sizeof(float),
  sizeof(double),
  sizeof(char),
  
  sizeof(int),
  sizeof(short),
  sizeof(unsigned short),
  sizeof(long),
  sizeof(unsigned long),
  sizeof(float),
  sizeof(double),
  sizeof(char),
  
  sizeof(channel),
  sizeof(channel),
  sizeof(channel),
  sizeof(channel)
};

