# ------------------------------------------------------------------------- #
#  Mathematics on Parallel and Distributed Systems                          #
#  Engineering College of Biel, Switzerland.                                #
#  Computer Science Dpt.                                                    #
#  Swiss National Science Foundation project 5003-034331.                   #
#  Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.     #
# ------------------------------------------------------------------------- #
#  Description:                                                             #
#  PPC: Portable Parallel C                                                 #
#  PPC libraries makefile. This file is given as parameter to make by       #
#  the makeit shell script.                                                 #
# ------------------------------------------------------------------------- #
#  History:                                                                 #
#  Date        By          Description                                      #
#  ----------  ----------- -----------------------------------------------  #
#  19.11.1993  Droux       Created                                          #
#  07.07.1994  Droux       New structure of source directory                #
#  15.07.1994  Droux       Added nextstep and loginpalette dependencies     #
#  03.08.1994  Droux       Added gethome dependency                         #
#  29.08.1994  Droux       NEXTSTEP configuration "standardized"            #
#  30.08.1994  Droux       added "base" dependency                          #
# ------------------------------------------------------------------------- #
#  filename: ppc.mak                                                        #
#  Tested on :                                                              #
#    NEXTSTEP 3.2, NeXT Computers                                           #
#    NEXTSTEP 3.2, Intel Computers                                          #
#    SunOS Release 4.1.3, SPARC                                             #
#    SunOS Release 5.3 (Solaris 2), SPARC                                   #
#    Linux 0.99.pl9, Intel                                                  #
#    Linux 1.0.8, Intel                                                     #
# ------------------------------------------------------------------------- #
#  Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.      #
#                                                                           #
#  This program is free software; you can redistribute it and/or modify it  #
#  under the terms of the GNU General Public License as published by the    #
#  Free Software Foundation; either version 2 of the License, or (at your   #
#  option) any later version.                                               #
#                                                                           #
#  This program is distributed in the hope that it will be useful, but      #
#  WITHOUT ANY WARRANTY; without even the implied warranty of               #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     #
#  See the GNU General Public License for more details.                     #
# ------------------------------------------------------------------------- #

LIBBASE=$(PPC_HOME)/lib
LIBDIR=$(LIBBASE)/$(HOST_ARCH)
PACTCDIR=$(PPC_HOME)/lib/PACTC
NEXTFATDIR=$(PPC_HOME)/lib/NEXTFAT

base: ppctool

all: base unix pvm pactc client nextstep

nextstep: loginpalette

ppctool: $(LIBDIR)/ppccmd

$(LIBDIR)/ppccmd: $(LIBBASE) $(LIBDIR) tools/portable/ppccmd/ppccmd.c
	@ cd tools/portable/ppccmd; make

unix: $(LIBBASE) $(LIBDIR) base
	@ cd csp; make unix
	@ cd config; make unix
	@ cd cslib/server; make unix

pvm: $(LIBBASE) $(LIBDIR) base
	@ cd csp; make pvm
	@ cd config; make pvm
	@ cd cslib/server; make pvm
	@ cd cslib/pvm; make
	
pactc: $(LIBBASE) $(LIBDIR) $(PACTCDIR) base
	@ cd csp; make pactc
	@ cd config; make pactc
	cd cslib/server; make pactc
	@ cd cslib/pactc/pserver; make -f Makefile.$(HOST_ARCH)
	@ cd cslib/pactc/tranredir; make 

client: $(LIBBASE) $(LIBDIR) base
	@ cd cslib/client; make
	
loginpalette: $(LIBBASE) $(NEXTFATDIR) base
	@ cd cslib/LoginPalette; makeit
	
clean:
	@ rm -f $(PPC_HOME)/lib/$(HOST_ARCH)/*
	@ rm -f $(PPC_HOME)/lib/PACTC/*
	@ rm -rf $(PPC_HOME)/lib/NEXTFAT/*
	@ rm -rf cslib/LoginPalette/i386_m68k_obj
	@ rm -rf cslib/LoginPalette/LoginPalette.palette

$(LIBBASE):
	mkdir $(LIBBASE)

$(PACTCDIR):
	mkdir $(PACTCDIR)

$(NEXTFATDIR):
	mkdir $(NEXTFATDIR)
	
$(LIBDIR): 
	mkdir $(LIBDIR)
	@ mail -s $(HOST_ARCH) droux@isbiel.ch < ../VERSION
